Update a Project Role
curl --request PUT \
--url https://api.virtuoussoftware.com/api/ProjectRole/{projectRoleId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectRoleTypeId": "<integer>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({projectRoleTypeId: '<integer>'})
};
fetch('https://api.virtuoussoftware.com/api/ProjectRole/{projectRoleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ProjectRole/{projectRoleId}"
payload = { "projectRoleTypeId": "<integer>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ProjectRole/{projectRoleId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"projectRoleTypeId\": \"<integer>\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/ProjectRole/{projectRoleId}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({projectRoleTypeId: '<integer>'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 880010,
"contactId": 100456,
"contactName": "Priya Sharma",
"projectDesignationId": 3012,
"projectDesignationName": "Year-End 2025 — Holiday Meals",
"projectRoleTypeId": 10,
"projectRoleType": "Volunteer Coordinator",
"createDateTimeUtc": "2025-10-01T09:00:00Z",
"createdByUser": "Program Team",
"modifiedDateTimeUtc": "2025-11-15T18:00:00Z",
"modifiedByUser": "Partner Integration"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Project Roles
Update a Project Role
PUT
/
api
/
ProjectRole
/
{projectRoleId}
Update a Project Role
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The project role identifier.
Body
application/json
Response
OK
The unique identifier of the record in Virtuous.
The identifier of the contact this record belongs to.
The display name of the related contact.
The UTC date and time the record was created.
The name of the user who created the record.
The UTC date and time the record was last modified.
The name of the user who last modified the record.
Last modified on April 23, 2026
Was this page helpful?
⌘I